#!/usr/local/bin/dot
#
# Class diagram 
# Generated by UmlGraph version 4.6 (http://www.spinellis.gr/sw/umlgraph)
#

digraph G {
	edge [fontname="Helvetica",fontsize=10,labelfontname="Helvetica",labelfontsize=10];
	node [fontname="Helvetica",fontsize=10,shape=plaintext];
	// org.apache.tiles.factory.BasicTilesContainerFactory
	c57739 [label=<<table border="0" cellborder="1" cellspacing="0" cellpadding="2" port="p" href="../factory/BasicTilesContainerFactory.html">
		<tr><td><table border="0" cellspacing="0" cellpadding="1">
			<tr><td> BasicTilesContainerFactory </td></tr>
			<tr><td><font point-size="7.0"> org.apache.tiles.factory </font></td></tr>
		</table></td></tr>
		</table>>, fontname="Helvetica", fontcolor="black", fontsize=9.0];
	// org.apache.tiles.context.TilesRequestContext
	c57744 [label=<<table border="0" cellborder="1" cellspacing="0" cellpadding="2" port="p" href="../context/TilesRequestContext.html">
		<tr><td><table border="0" cellspacing="0" cellpadding="1">
			<tr><td> &laquo;interface&raquo; </td></tr>
			<tr><td> TilesRequestContext </td></tr>
			<tr><td><font point-size="7.0"> org.apache.tiles.context </font></td></tr>
		</table></td></tr>
		</table>>, fontname="Helvetica", fontcolor="black", fontsize=9.0];
	// org.apache.tiles.definition.UnresolvingLocaleDefinitionsFactory
	c57791 [label=<<table border="0" cellborder="1" cellspacing="0" cellpadding="2" port="p" href="../definition/UnresolvingLocaleDefinitionsFactory.html">
		<tr><td><table border="0" cellspacing="0" cellpadding="1">
			<tr><td> UnresolvingLocaleDefinitionsFactory </td></tr>
			<tr><td><font point-size="7.0"> org.apache.tiles.definition </font></td></tr>
		</table></td></tr>
		</table>>, fontname="Helvetica", fontcolor="black", fontsize=9.0];
	// org.apache.tiles.definition.LocaleDefinitionsFactory
	c57796 [label=<<table border="0" cellborder="1" cellspacing="0" cellpadding="2" port="p" href="../definition/LocaleDefinitionsFactory.html">
		<tr><td><table border="0" cellspacing="0" cellpadding="1">
			<tr><td> LocaleDefinitionsFactory </td></tr>
			<tr><td><font point-size="7.0"> org.apache.tiles.definition </font></td></tr>
		</table></td></tr>
		</table>>, fontname="Helvetica", fontcolor="black", fontsize=9.0];
	// org.apache.tiles.locale.impl.DefaultLocaleResolver
	c57831 [label=<<table border="0" cellborder="1" cellspacing="0" cellpadding="2" port="p" href="./impl/DefaultLocaleResolver.html">
		<tr><td><table border="0" cellspacing="0" cellpadding="1">
			<tr><td> DefaultLocaleResolver </td></tr>
			<tr><td><font point-size="7.0"> org.apache.tiles.locale.impl </font></td></tr>
		</table></td></tr>
		</table>>, fontname="Helvetica", fontcolor="black", fontsize=9.0];
	// org.apache.tiles.locale.LocaleResolver
	c57832 [label=<<table border="0" cellborder="1" cellspacing="0" cellpadding="2" port="p" bgcolor="lemonChiffon" href="./LocaleResolver.html">
		<tr><td><table border="0" cellspacing="0" cellpadding="1">
			<tr><td> &laquo;interface&raquo; </td></tr>
			<tr><td> LocaleResolver </td></tr>
		</table></td></tr>
		</table>>, fontname="Helvetica", fontcolor="black", fontsize=9.0];
	// org.apache.tiles.extras.complete.CompleteAutoloadTilesContainerFactory
	c57989 [label=<<table border="0" cellborder="1" cellspacing="0" cellpadding="2" port="p" href="../extras/complete/CompleteAutoloadTilesContainerFactory.html">
		<tr><td><table border="0" cellspacing="0" cellpadding="1">
			<tr><td> CompleteAutoloadTilesContainerFactory </td></tr>
			<tr><td><font point-size="7.0"> org.apache.tiles.extras.complete </font></td></tr>
		</table></td></tr>
		</table>>, fontname="Helvetica", fontcolor="black", fontsize=9.0];
	//org.apache.tiles.definition.LocaleDefinitionsFactory extends org.apache.tiles.definition.UnresolvingLocaleDefinitionsFactory
	c57791:p -> c57796:p [dir=back,arrowtail=empty];
	//org.apache.tiles.locale.impl.DefaultLocaleResolver implements org.apache.tiles.locale.LocaleResolver
	c57832:p -> c57831:p [dir=back,arrowtail=empty,style=dashed];
	//org.apache.tiles.extras.complete.CompleteAutoloadTilesContainerFactory extends org.apache.tiles.factory.BasicTilesContainerFactory
	c57739:p -> c57989:p [dir=back,arrowtail=empty];
	// org.apache.tiles.definition.UnresolvingLocaleDefinitionsFactory NAVASSOC org.apache.tiles.locale.LocaleResolver
	c57791:p -> c57832:p [taillabel="", label="", headlabel="", fontname="Helvetica", fontcolor="black", fontsize=10.0, color="black", arrowhead=open];
	// org.apache.tiles.factory.BasicTilesContainerFactory DEPEND org.apache.tiles.locale.LocaleResolver
	c57739:p -> c57832:p [taillabel="", label="", headlabel="", fontname="Helvetica", fontcolor="black", fontsize=10.0, color="black", arrowhead=open, style=dashed];
	// org.apache.tiles.factory.BasicTilesContainerFactory DEPEND org.apache.tiles.definition.UnresolvingLocaleDefinitionsFactory
	c57739:p -> c57791:p [taillabel="", label="", headlabel="", fontname="Helvetica", fontcolor="black", fontsize=10.0, color="black", arrowhead=open, style=dashed];
	// org.apache.tiles.definition.UnresolvingLocaleDefinitionsFactory DEPEND org.apache.tiles.context.TilesRequestContext
	c57791:p -> c57744:p [taillabel="", label="", headlabel="", fontname="Helvetica", fontcolor="black", fontsize=10.0, color="black", arrowhead=open, style=dashed];
	// org.apache.tiles.definition.UnresolvingLocaleDefinitionsFactory DEPEND org.apache.tiles.locale.LocaleResolver
	c57791:p -> c57832:p [taillabel="", label="", headlabel="", fontname="Helvetica", fontcolor="black", fontsize=10.0, color="black", arrowhead=open, style=dashed];
	// org.apache.tiles.definition.LocaleDefinitionsFactory DEPEND org.apache.tiles.context.TilesRequestContext
	c57796:p -> c57744:p [taillabel="", label="", headlabel="", fontname="Helvetica", fontcolor="black", fontsize=10.0, color="black", arrowhead=open, style=dashed];
	// org.apache.tiles.definition.LocaleDefinitionsFactory DEPEND org.apache.tiles.locale.LocaleResolver
	c57796:p -> c57832:p [taillabel="", label="", headlabel="", fontname="Helvetica", fontcolor="black", fontsize=10.0, color="black", arrowhead=open, style=dashed];
	// org.apache.tiles.locale.impl.DefaultLocaleResolver DEPEND org.apache.tiles.context.TilesRequestContext
	c57831:p -> c57744:p [taillabel="", label="", headlabel="", fontname="Helvetica", fontcolor="black", fontsize=10.0, color="black", arrowhead=open, style=dashed];
	// org.apache.tiles.locale.LocaleResolver DEPEND org.apache.tiles.context.TilesRequestContext
	c57832:p -> c57744:p [taillabel="", label="", headlabel="", fontname="Helvetica", fontcolor="black", fontsize=10.0, color="black", arrowhead=open, style=dashed];
	// org.apache.tiles.extras.complete.CompleteAutoloadTilesContainerFactory DEPEND org.apache.tiles.locale.LocaleResolver
	c57989:p -> c57832:p [taillabel="", label="", headlabel="", fontname="Helvetica", fontcolor="black", fontsize=10.0, color="black", arrowhead=open, style=dashed];
}

